Bug 38336 - MegaRAID on Alpha: NULL pointer Dereferance
MegaRAID on Alpha: NULL pointer Dereferance
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-29 18:15 EDT by Phil Copeland
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-30 03:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Copeland 2001-04-29 18:15:42 EDT
Linux dhcpd156.meridian.redhat.com 2.4.3-2.14.4smp #1 SMP Fri Apr 27
09:11:47 EDT 2001 alpha unknown

[root@dhcpd156 /root]# gcc -v
Reading specs from /usr/lib/gcc-lib/alpha-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-82)

Trace:
fffffc0000941c8c	scsi_register_host
fffffc000084bff0	filemap_nopage
fffffc0000858a04	__get_free_pages
fffffc000081c618	smp_imb
fffffc000081c5e0	ipi_imb
fffffc0000831d5c	sys_init_module
fffffc0000810c20	entSys
fffffc0000858ad0	free_pages
fffffc0000853110	kmalloc

megaraid: v1.14g-ac2 (Release Date: Mar 22, 2001; 19:34:02)
megaraid: no BIOS enabled.
Unable to handle kernel paging request at virtual address 201f000147e00411
CPU 0 modprobe(913): Oops 0
pc = [<fffffc000083f460>]  ra = [<fffffffc003453e0>]  ps = 0000
v0 = 00000000000000fc  t0 = 0000000000000001  t1 = 201f000147e00401
t2 = 201f000147e00401  t3 = 0000000000000000  t4 = fffffc0000cf4730
t5 = 0000000000000001  t6 = 0000000000095fff  t7 = fffffc001c224000
s0 = 0000000000008086  s1 = 0000000000000000  s2 = fffffffc003491f0
s3 = fffffffc003494b8  s4 = 00000000000000c0  s5 = 0000000000000000
s6 = 0000000000000008
a0 = fffffffc0031d138  a1 = fffffffc00349130  a2 = fffffffc00349148
a3 = 0000000000000001  a4 = 00000000000000a0  a5 = 0000000000000000
t8 = 00000000000aec68  t9 = 0000000000000001  t10= 0000000000000001
t11= fffffc0000ce1b48  pv = fffffc000083f5c0  at = 0000000000000000
gp = fffffc0000cd5768  sp = fffffc001c227d38
Code: 47ff041f  or zero,zero,zero
 2fe00000  ldq_u zero,0(v0)
 22030008  lda a0,8(t2)
 a4500000  ldq t1,0(a0)
 47e20403  or zero,t1,t2
 e4400003  blt t1,.+16
*a0220010  ldl t0,16(t1)
 40810da1  cmpeq t3,t0,t0

Trace:fffffc0000941c8c fffffc000084bff0 fffffc0000858a04 fffffc000081c618
fffffc
000081c5e0 fffffc0000831d5c fffffc0000810c20 fffffc0000858ad0
fffffc0000853110
Comment 1 Phil Copeland 2001-04-30 03:24:08 EDT
It would appear that the structure definitions for the MEGARAID
Scsi_Host_Template are complete rubbish (see megaraid.h file vs the hosts.h
template definitions.

WHAT THE HELL IS THE PROGRAMMER FOR THISI SMOKING??!??

Phil (after 2 3/4hrs debugging through various disassemblies and .s files)
=--=
Comment 2 Arjan van de Ven 2001-05-21 06:15:05 EDT
Obviously stuff that is even illegal in .nl;
just disable if 1.15 version doesn't work.

Note You need to log in before you can comment on or make changes to this bug.